From cbc2a1040d31b1ab58f2fa7b88ec3e7283caf825 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 23:53:23 +0000
Subject: [PATCH 1362/2232] Revert "Fix blobstore compilation on macOS and MSVC"


This reverts commit ced948046e121392735f42faad8cf304d9ddfd98.

---

diff --git a/demo/include/blobstore.h b/demo/include/blobstore.h
index 68a7fc2..d89583a 100644
--- a/demo/include/blobstore.h
+++ b/demo/include/blobstore.h
@@ -16,8 +16,8 @@ public:
   BlobMetadata metadata(uint64_t blobid) const;
 
 private:
-  class Impl;
-  std::shared_ptr<Impl> impl;
+  class impl;
+  std::shared_ptr<impl> impl;
 };
 
 std::unique_ptr<BlobstoreClient> new_blobstore_client();
diff --git a/demo/src/blobstore.cc b/demo/src/blobstore.cc
index 0036a32..a75affc 100644
--- a/demo/src/blobstore.cc
+++ b/demo/src/blobstore.cc
@@ -13,7 +13,7 @@ namespace blobstore {
 //
 // In reality the implementation of BlobstoreClient could be a large complex C++
 // library.
-class BlobstoreClient::Impl {
+class BlobstoreClient::impl {
   friend BlobstoreClient;
   using Blob = struct {
     std::string data;
@@ -22,7 +22,7 @@ class BlobstoreClient::Impl {
   std::unordered_map<uint64_t, Blob> blobs;
 };
 
-BlobstoreClient::BlobstoreClient() : impl(new BlobstoreClient::Impl) {}
+BlobstoreClient::BlobstoreClient() : impl(new typename BlobstoreClient::impl) {}
 
 // Upload a new blob and return a blobid that serves as a handle to the blob.
 uint64_t BlobstoreClient::put(MultiBuf &buf) const {

